# \_getDT

Get the details of a User FIlter

### Example

```
=FM_api(
    'UserFilters_getDT',[
        'name' => 'Test Filter',
        'start' => '0',
        'length' => '10',
        'draw' => '1'
    ]
);
```

### Result

#### On Success:

With only 1 User Filter, which has an ID of 99, named "Test Filter", Page URL of "pageAppointments" and Public set to no.

```
{"draw":1,"recordsTotal":"1","recordsFiltered":"1","data":[["99","Test Filter","pageAppointments",["92447","api tests"],"0","{\"#department-id\": \"0\", \"#f-actions\": \"\", \"#f-address\": \"\", \"#f-appointment_time\": \"\", \"#f-client\": \"\", \"#f-id\": \"\", \"#f-include-sub\": \"1\", \"#f-invoice_sent\": \"\", \"#f-job_ref\": \"\", \"#f-job_ref_customer\": \"\", \"#f-on-app\": \"\", \"#f-parent-id\": \"0\", \"#f-priority\": \"\", \"#f-recurs\": \"\", \"#f-report_sent\": \"\", \"#f-status\": \"\", \"#f-user_id\": \"\", \"#f_contract_ids\": \"[]\", \"#form_ids\": \"[]\", \"#job-type_ids\": \"[]\", \"f-form_num\": \"\"}",""]]}
```

After deleting the specified Filter:

```
{"draw":2,"recordsTotal":"0","recordsFiltered":"0","data":[]}
```

Then selecting a new tab and going back to "Filters" on the site.

```
{"draw":1,"recordsTotal":"0","recordsFiltered":"0","data":[]}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fieldmotion.com/fieldmotion-api-docs/userfilters/_getdt.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
